# Sections are only used to make differentations and give sense to options.
#  
# WARNING:
#  - any rules in this file would break the Customer Call History.
#  - the reverse lookup is done with the caller number after normalization
#
# See details in documentation:
#  Documentation > IPBX Configuration Guide > Caller Number Normalization
#
# If the callerid didn't match: do nothing
# If a number matched:
# - If strip only: strip specified number at the beginning of the number
# - If add only: add the specified digits at the beginning of the number
# - If both: begin with striping and finish with add. Usefull if incoming callerid need to be set in the "international format" : for example in France, replace (0) by (+33)
#
# Sections are scanned for matching in file order, so you can implement
# priorities easily.

[national1]
comment = local number with national prefix, 10 digits
callerid = ^0[1-9]\d{8}$
strip = 
add = 

[national2]
comment = local number with national prefix missing, 9 digits
callerid = ^[1-9]\d{8}$
strip =
add = 0

[national3]
comment = local number with international prefix, special digit "+" followed by 11 digits
callerid = ^\+33[1-9]\d{8}$
strip = 3
add = 0

[international1]
comment = international number, beginning with special digit "+" and at least 4 digits
callerid = ^\+(?!33)\d{4,}$
strip = 1
add = 00

[international2]
comment = international number, beginning with 00
callerid = ^00\d{6,}$
strip = 
add = 

[international3]
comment = international number, not beginning with 0 or "+" and at least 11 digits
callerid = ^(?![0\+])\d{11,}$
strip =
add = 00
